* {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

    html, body {
      width: 100%;
      overflow-x: hidden;
     font-family:Poppins,sans-serif;
      background: #fff;
    }

    a {
      text-decoration: none;
    }

/* HEADER */

header{ background:#004986;
position:absolute;
width:100%;
top:0;
z-index:999;
transition:0.4s;
}

header.sticky{
background:#012348;
box-shadow:0 4px 10px rgba(0,0,0,0.2);
}


/* NAVBAR */

.navbar{
display:flex;
align-items:center;
justify-content:space-between;
padding:0px 6%;
color:#fff;
}

/* LEFT NAV */

.nav-left{
display:flex;
gap:30px;
}

.nav-left a{
color:#fff; margin-top:20px; 
text-decoration:none;
font-weight:500;
position:relative;
}

.nav-left a::after{
content:"";
width:0;
height:2px;
background:#c79b3b;
position:absolute;
left:0;
bottom:-5px;
transition:0.3s;
}

.nav-left a:hover::after{
width:100%;
}

/* RIGHT AREA */

.right-area{
display:flex;
align-items:center;
gap:20px;
}

.phone{
font-size:14px;
}

/* BOOK BUTTON */

.book-btn{
background:#ffde00;
padding:20px 18px;
color:#fff; font-size:21px;
text-decoration:none; letter-spacing:1px;
font-weight:500;
transition:0.3s;
}

.book-btn:hover{
background:#fff;
color:#0b3556;
transform:translateY(-2px);
box-shadow:0 6px 15px rgba(0,0,0,0.3);
}

/* LOGO CENTER */

.logo-wrap{
position:absolute;
left:50%;
transform:translateX(-50%);
top:0;
text-align:center;
}

.logo-bg{
background:#004986;
padding:18px 35px 30px;
border-bottom-left-radius:120px;
border-bottom-right-radius:120px;
}

.logo-bg img{
height:110px;
}

/* HAMBURGER */

.hamburger{
display:none;
font-size:26px;
cursor:pointer;
}

/* MOBILE MENU */

.mobile-menu{
position:fixed;
top:0;
right:-100%;
width:260px;
height:100%;
background:#0b3556;
padding:40px 20px;
transition:0.4s;
z-index:1000;
}

.mobile-menu a{
display:block;
color:#fff;
margin:15px 0;
text-decoration:none;
}

.mobile-menu.active{
right:0;
}

.close-btn{
font-size:25px;
color:#fff;
cursor:pointer;
margin-bottom:20px;
}

/* HERO */

.hero{
height:95vh;
position:relative;
overflow:hidden;
}

/* SLIDES */

.slide{
position:absolute;
width:100%;
height:100%;
background-size:cover;
background-position:center;
opacity:0;
transition:1s;
display:flex;
align-items:center;
justify-content:center;
text-align:center;
color:#fff;
}

.slide.active{
opacity:1;
}

/* OVERLAY */

.overlay{
position:absolute;
width:100%;
height:100%;
background:rgba(0,0,0,0.45);
}

/* CONTENT */

.slide-content{
position:relative;
z-index:2;
animation:fadeUp 1.5s;
}

.slide h1{
font-size:50px;
margin-bottom:10px;
}

.slide p{
font-size:20px;
}

/* TEXT ANIMATION */

@keyframes fadeUp{
from{
opacity:0;
transform:translateY(40px);
}
to{
opacity:1;
transform:translateY(0);
}
}

/* ARROWS */

.arrow{
position:absolute;
top:50%;
transform:translateY(-50%);
font-size:28px;
background:rgba(0,0,0,0.5);
color:#fff;
padding:10px 14px;
cursor:pointer;
z-index:5;
}

.prev{
left:20px;
}

.next{
right:20px;
}

/* MOBILE */

@media(max-width:900px){

.nav-left{
display:none;
}

.phone{
display:none;
}

.book-btn{
display:none;
}

.hamburger{
display:block;
color:#fff;
}

.logo-bg img{
height:40px;
}

.slide h1{
font-size:30px;
}

}

/* SECTION */
.section {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 60px 8%;
  gap: 50px;
  flex-wrap: wrap;
}

/* LEFT IMAGES */
.image-wrapper {
  position: relative;
  flex: 1;
  min-width: 300px;
}

.image-wrapper img {
  width: 75%;
  border-radius: 20px;
  object-fit: cover;
}

.img1 {
  box-shadow: 0 10px 30px rgba(0,0,0,0.1);
}

.img2 {
  position: absolute;
  bottom: -40px;
  right: 0;
  width: 65%;
  box-shadow: 0 15px 40px rgba(0,0,0,0.2);
}

/* RIGHT CONTENT */
.content {
  flex: 1;
  min-width: 300px;
}

.content span {
  color: #075B97; font-size:19px;
  
  font-weight: 600;
}

.title1 {
  font-size: 36px;
  margin: 15px 0;
}

.content p {
  color: #666; margin-bottom: 15px;
  line-height: 1.7;
}

/* HIDDEN TEXT */
.more-text {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.6s ease;
}

/* SHOW TEXT */
.more-text.show {
  max-height: 200px;
  margin-top: 10px;
}

/* BUTTON */
.btn {
  display: inline-block;
  margin-top: 20px;
  padding: 12px 28px;
  background: #075B97;
  color: #fff;
  border-radius: 30px;
  text-decoration: none;
  cursor: pointer;
  transition: 0.3s;
}

.btn:hover {
  background: #59B5E1;
  transform: translateY(-3px);
}

/* MOBILE */
@media (max-width: 768px) {
  .section {
    flex-direction: column;
    text-align: center;
  }

  .img2 {
    position: relative;
    bottom: 0;
    margin-top: 20px;
  }
}

  html {
    scroll-behavior: smooth;
  }

  #scrollTopBtn {
    position: fixed;
    bottom: 25px;
    right: 25px;
    width: 50px;
    height: 50px;
    border: none;
    outline: none;
    background: #009245;
    color: #fff;
    font-size: 22px;
    border-radius: 50%;
    cursor: pointer;
    display: none;
    z-index: 9999;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.25);
    transition: all 0.3s ease;
  }

  #scrollTopBtn:hover {
    background: #333;
    transform: translateY(-4px);
  }

  @media (max-width: 767px) {
    #scrollTopBtn {
      width: 45px;
      height: 45px;
      font-size: 20px;
      bottom: 20px;
      right: 20px;
    }
  }
  
/* Section */
.amenity-section {
    display: flex;
    flex-wrap: wrap;
}

/* Left Image */
.amenity-image {
    flex: 1;
    min-height: 400px;
    background-size: cover;
    background-position: center;
    transition: background-image 0.8s ease-in-out;
}

/* Right Content */
.amenity-content {
    flex: 1;
    background:#0073a3;
    color: #fff;
    padding: 50px 40px;
}

/* Heading */
.title2 {
    font-size: 32px; color: #fff;
    margin-bottom: 30px;
}

.title4 {
    font-size: 32px; color: #111111;
    margin-bottom:24px; text-align:center !important;
}
.title8 {
    font-size:27px; color: #003C6E;
}
/* Amenity */
.amenity {
    margin-bottom: 25px;
    padding: 15px;
    border-bottom: 1px solid rgba(255,255,255,0.3);
    opacity: 0.5;
    cursor: pointer;
    transition: all 0.6s ease;
}

/* Active */
.amenity.active {
    opacity: 1;
    transform: translateX(10px);
}

/* Number */
.amenity span {
    font-size: 14px;
    opacity: 0.7;
}

/* Title */
.amenity-title {
    margin: 5px 0;
    font-size: 22px;
}

/* Description */
.amenity p {
    font-size: 14px;
    line-height: 1.5;
}

/* Responsive */
@media (max-width: 768px) {
    .amenity-section {
        flex-direction: column;
    }

    .amenity-content {
        padding: 30px 20px;
    }
}  
  

.amenities-section {
  padding: 60px 15px;
  background: #f8f8f8;
}

.amenities-main {
  max-width: 1200px;
  margin: auto;
  display: flex;
  align-items: center;
  gap: 20px;
}

.amenities-wrapper {
  overflow: hidden;
  width: 100%;
}

.amenities-container {
  display: flex;
  transition: transform 0.5s ease;
  font-size:17px; color:#545454; font-weight:normal; line-height:28px; text-align:center;
}

.amp {font-size:17px; color:#545454; font-weight:normal; line-height:28px; text-align:center; width:70%; float:none; margin:0 auto; padding:16px 0; margin-bottom:10px;}

.amenity-card {
  min-width: 31.4%;
  background: #ffffff;
  text-align: center;
  margin: 0 10px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.08);
}

.amenity-card img {
  width: 100%;
  height: 220px;
  object-fit: cover;
}

.amenity-card-title {
  font-size: 22px; color:#003C6E; font-weight:bold;
  margin: 20px 0 10px;
}

.amenity-card p {
  font-size: 15px;
  padding: 0 20px 25px;
  color: #545454;
}

/* Buttons */
.nav-btn {
  background: #fff;
  border: 1px solid #ccc;
  padding: 10px 16px;
  font-size: 16px;
  cursor: pointer;
}

.desktop-btn {
  display: block;
}

/* Mobile */
.mobile-nav {
  display: none;
  justify-content: center;
  gap: 15px;
  margin-top: 20px;
}

@media (max-width: 991px) {
  .amenity-card {
    min-width: 50%;
  }
}

@media (max-width: 576px) {
  .amenities-main {
    flex-direction: column;
  }

  .amenity-card {
    min-width: 100%;
    margin: 0;
  }

  .desktop-btn {
    display: none;
  }

  .mobile-nav {
    display: flex;
  }
}

/* attraction */


.attraction-slider {
    position: relative; 
    height: 100vh;
    overflow: hidden;
}

.slide-attraction {
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slide-attraction.active {
    opacity: 1;
}

.attraction-content {
    position: absolute; 
    top: 50%;
    right: 6%;
    transform: translateY(-50%);
    color: #1c355e;
    max-width: 500px;
    z-index: 2;
}

.attraction-t1{
    font-size: 41px;
    color: #1b3d6d;
    margin-bottom: 20px;
}

.attraction-content p {
    color: #333;   font-size: 17px;
    line-height: 1.8;
}

.attraction-slider::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
     background: linear-gradient(
        to left,
        rgba(255,255,255,0.80) 30%,
        rgba(255,255,255,0.66) 50%,
        rgba(255,255,255,0.6) 70%,
        rgba(255,255,255,0) 100%
    );
    z-index: 1;
}
.slide-attraction-title {
    position: absolute;
    bottom: 10%;
    left: 3%;
    color: #fff;
    font-size: 32px;
    background: rgba(0,0,0,0.7);
    padding: 8px 15px;
    
}


/* MOBILE */
@media(max-width: 768px) {
   .attraction-content {
        padding: 30px 20px;
        background: rgba(255,255,255,0.85);
    }

    .attraction-t1 {
        font-size: 25px;
    }

   .slide-attraction-title { display:none;     
    }
}





#footbg { width:100%; background:#003C6E; padding:3% 0;}
#footer  {width:86%; margin:0 auto;  line-height:30px; color:#fff;}
#footer p{ font-size:14px; color:#fff; font-weight:normal;}
#footer p a{text-decoration:none; color:#fff;}
.footer-col {float:right; width:38%; text-align:left; padding:15px 0px; font-size:15px; font-weight:normal;}
.footer-co {float:left; width:200px; text-align:left; padding-top:40px;}
.footer-col ul { float:left; width:40%; margin-left:22px;}
.footer-col ul li{list-style:circle; line-height:28px; }
.footer-col ul li a{ font-size:14px; font-weight:normal; text-decoration:none; color:#fff;}
.footer-col ul li a:hover{text-decoration:none; color:#ccc;}
#lastbg { width:100%;  background:#333;}
.last  {width:86%; margin:0 auto; padding:1% 0%; line-height:30px; color:#ededed;}
.last p, p a{line-height:26px; font-size:14px; line-height:26px; padding:5px 0; color:#ededed; text-decoration:none; font-weight:200;}
}
.smo{ width:90%; float:left; padding:10px 0;}
.social-icons {
            display: flex;
            gap: 12px; margin-top:10px;
        }
        .social-icons a {
            text-decoration: none;
            color: white;
            width: 34px;
            height: 34px;
            display: flex;
            justify-content: center;
            align-items: center;
            border-radius: 50%;
        }
        .social-icons a.facebook { background-color: #3b5998; }
        .social-icons a.twitter { background-color: #1da1f2; }
        .social-icons a.instagram { background-color: #e4405f; }
        .social-icons a.blog { background-color: #F57C00; }
        .social-icons a.youtube { background-color: #ff0000; }
label { display:none;}
.title5 {text-decoration:none; margin:0 auto; font-weight:Normal; font-size:25px; color:#fff; padding:15px 0 5px 0; }
.title5 a { color:#fff; text-decoration:none;}

html {
    scroll-behavior: smooth;
  }

  #scrollTopBtn {
    position: fixed;
    bottom: 25px;
    right: 25px;
    width: 50px;
    height: 50px;
    border: none;
    outline: none;
    background: #1185D3;
    color: #fff;
    font-size: 22px;
    border-radius: 50%;
    cursor: pointer;
    display: none;
    z-index: 9999;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.25);
    transition: all 0.3s ease;
  }

  #scrollTopBtn:hover {
    background: #333;
    transform: translateY(-4px);
  }

  @media (max-width: 767px) {
    #scrollTopBtn {
      width: 45px;
      height: 45px;
      font-size: 20px;
      bottom: 20px;
      right: 20px;
    }
  }
  

.ada { width:100%; margin:0 auto; padding:12px 0; text-align:center; color:#666; font-size:17px; background:#F4F4F4; line-height:32px;}
.ada a { color:#666; text-decoration:none;}	

#reserve { float:none; width:100%; margin:0 auto; position:absolute; z-index:999; bottom:-2px}
.reserve { color:#fff; font-size:27px;  float:left;  font-weight:normal; text-align:left; padding:15px 12px; margin-right:26px; font-family: 'Segoe UI', sans-serif;}
.imenu { width:74%;  margin:0 auto; padding:12px 15px; background: rgba(7,91,151,0.8); float:none; border-radius: 4px; box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1); font-family: 'Segoe UI', sans-serif;}
.check1{ margin:11px 10px; float:left; width:11%; font-weight:normal;}
.check2{ margin:10px 10px; float:left; width:11%; font-weight:normal;}
.chk {font-size:12px; color:#424669; line-height:24px;}
.message1{ font-size:14px; padding:10px 11px; margin:0 auto; border-bottom:#424669 solid 1px; color: #424669; border-radius: 4px; width:90%; font-weight:normal;  background:#f2f2f2; font-family: 'Segoe UI', sans-serif;}
.message2{ font-size:14px; padding:9px 10px; margin:0 auto; width:90%; color: #424669; border-radius: 4px; font-weight:normal; background:#f2f2f2; border-bottom:#424669 solid 1px; font-family: 'Segoe UI', sans-serif;}

input[type="submit"]
.palace-button, input[type="submit"], input#searchsubmit { border-radius: 30px;
background:linear-gradient(45deg,#ffcc00,#ffcc00); border:none; color:#fff; font-size: 16px; font-family: 'Segoe UI', sans-serif; padding:10px 22px; font-weight:normal; letter-spacing:1px;}
::-webkit-input-placeholder {
   color: #333333;
}

:-moz-placeholder { /* Firefox 18- */
   color: #333333;  
}

::-moz-placeholder {  /* Firefox 19+ */
   color: #333333;  
}

:-ms-input-placeholder {  
   color: #333333;  
}
.map1{ font-size:12px;
padding:10px;  font-family: 'Segoe UI', sans-serif;
width:50%; 
margin-right:15px; background:#fff;
border: 1px double #929292;
color:#444;
float:left; border-radius: 20px;
}



  
 .amenity1 {
      width:40%; float:left; 
      margin: 10px 10px 0 20px;
      padding: 20px; 
      
    }
  
    .amenity1 ul {
      list-style: none;
      padding: 0;
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
      gap: 15px 30px;
    }
    .amenity1 li {
      font-size: 17px;
      color: #3f4a56; padding:8px 0;
      display: flex;
      align-items: center; text-align:left;
    }
    .amenity1 li i {
       color: #3f4a56;
      margin-right: 10px;
      font-size: 18px;
      min-width: 20px;
      text-align: center;
    }
.amenity1-list li {
  position: relative;
  padding-left: 8px;
  margin-bottom: 10px;
}

.amenity1-list li::before {
  content: "";
  position: absolute;
  left: 0;
   color: #3f4a56; /* Blue checkmark */
  font-size: 17px;
}
.col1 {  width:40%; float:left; text-align:left; padding: 20px;  font-size: 17px;  color: #3f4a56; margin-left:30px; }
.col1 ul li {list-style:circle; line-height:36px;}
.col1 ul li a {color: #3f4a56; text-decoration:none; list-style:none;}	
 
 
 .att2 {
  max-width: 1200px;
  margin: 40px auto;
  padding: 0 15px;
}

.att2-grid {
  display: grid;
  grid-template-columns: 1fr;
  gap: 30px;
}

.att2-card {
  background: #ffffff;
  border-radius: 2px;
  overflow: hidden;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  height: 100%;
}

.att2-img img {
  width: 100%;
  height: 360px;
  object-fit: cover;
}

.att2-content {
  padding: 22px;
  flex: 1;
  display: flex;
  flex-direction: column;
}

.title7 {
  font-size: 22px;
  margin-bottom: 12px;
  color: #1a1a1a;
}

.title3 {
  font-size: 23px;
  margin-bottom: 12px;
  color: #333; text-align:center;
}

.att2-content p {
  font-size: 19px; text-align:Left;
  line-height: 1.7;
  color: #555;
}

/* Desktop 2-Column Layout */
@media (min-width: 768px) {
  .att2-grid {
    grid-template-columns: repeat(2, 1fr);
    align-items: stretch;
  }
}

.fq{text-align:left; text-decoration: none; color:#031C1A; font-weight:bold;  font-size:18px;  line-height:34px; margin-top:6px; list-style:none;}
.fqa{font-size:16px; color:#424242; font-weight:normal; line-height:28px; text-align:left;}
.fqa a{font-size:16px; color:#009245; text-decoration:none;}

.top2 { margin-top:8%;}
.read-more {
    display: inline-block;
    padding: 12px 28px;
    background: #003C6E;
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    letter-spacing: 1px;
    border-radius: 4px;
    transition: 0.3s;
}

.read-more:hover {
    background: #002a4f;
}
